$(document).ready(function () {
    "use strict";
    
    /* Стр. кампании пользователя */
    
    // Превьюшки:
    (function(){
        
        var
            $popupBg = $('.l-popup'),
            $popup = $('.b-popup__window.preview', $popupBg),
            $popupClose = $('.button-close', $popup),
            $popupInner = $('.b-popup-content', $popup),
            $popupMessage = $('.b-popup-message', $popup),
            $banners = $('.form-group.banners'),
            $tableBanners = $('table.campaign-banners', $banners);
        
        // Открываем попап:
        $tableBanners.on('click', '.banner-preview', function(){
            var
                $this = $(this),
                size = $.trim($('.banner-size', $this.parents('tr')).text()),
                data = {
                    id: $this.parents('tr').data('id'),
                    size: size.split('x'),
                    img: $this.attr('src')
                };
                
            ShowPopup(data);
        });
        
        // Закрыввем попап по клику на Х:
        $popupClose.on('click', function(){
            ClosePopup();
        });
        // Закрыввем попап по клику извне:
        $popup.on('click', function(event){
            event.stopPropagation();
        });
        $popupBg.on('click', function(){
            ClosePopup();
        });
        
        function ShowPopup(data)
        {
            var $content = $(document.createElement('div'));
            $content.append('<h2>id: <b>'+ data.id +'</b> <span>('+ data.size[0] +'х'+ data.size[1] +')</span></h2>');
            $content.append('<div class="banner-img"><img width="' + data.size[0] + '" height="' + data.size[1] + '" src="' + data.img + '" /></div>');
            
            $popupInner.append($content)
            
            $popupBg.addClass('open-popup');
            $popup.show();
        }
        
        function ClosePopup()
        {
            $popupBg.removeClass('open-popup');
            $popupMessage.hide();
            $popup.hide();
            $popupInner.empty();
        }
        
        
    })();
    
    // Статистика по кампании:
    (function(){
        
        var
            dataStat,
            $statWrap = $('.campaign-stat'),
            $statInfo = $('.chart-graph-stat-info', $statWrap),
            $statError = $('.chart-graph-stat-error', $statWrap),
            $statChart = $('.chart-graph-stat-error', $statWrap),
            $statTable = $('.chart-graph-stat-error', $statWrap),
            targetActionValue = $('input[name=target_action]:checked').val(),
            activeLine;
        
        // Форматирование даты
        function formatDate(date)
        {
            return date.getFullYear() +'-'+ pad(date.getMonth()+1) +'-'+ pad(date.getDate());
        }
        
        // Получение данных для отрисовки графика Stat при старте:
        if ($('#campaign-stat').val()) {
            dataStat = JSON.parse($('#campaign-stat').val());
            console.log('AAA dataStat = ', dataStat);
        } else {
            $statError.show();
        }
        
        switch(targetActionValue) {
            case 'load':
                activeLine = 'views';
            break;
            case 'view':
                activeLine = 'views';
            break;
            case 'click':
                activeLine = 'clicks';
            break;
        }    
        
        function renderChart() {
            console.log('AAA renderChart');
            var
                dataPeriod = dataStat['period'],
		dataValue = dataStat[activeLine],
		titleFormat = formatDate,
		formatTimeX = '%m-%d';

	
		
	
            
        };
        
        function renderTable() {
            console.log('AAA renderTable');
        };
        
        if (dataStat) {
            renderChart();
            renderTable();
        } else {
            $statChart.hide();
            $statTable.hide();
        }
        
        
    })();
});

